#ifndef DISTRHO_PLUGIN_INFO_H_INCLUDED
#define DISTRHO_PLUGIN_INFO_H_INCLUDED

#define DISTRHO_PLUGIN_BRAND "yaw-audio"
#define DISTRHO_PLUGIN_NAME  "yaw-tab"
#define DISTRHO_PLUGIN_URI   "https://yaw.man/plugins/yaw-tab"

#define DISTRHO_PLUGIN_HAS_UI       1
#define DISTRHO_PLUGIN_IS_RT_SAFE   1
#define DISTRHO_PLUGIN_NUM_INPUTS   0
#define DISTRHO_PLUGIN_NUM_OUTPUTS  2
#define DISTRHO_PLUGIN_WANT_TIMEPOS 1
#define DISTRHO_UI_USE_NANOVG       1

// only checking if supported, not actually used
#define DISTRHO_PLUGIN_WANT_PARAMETER_VALUE_CHANGE_REQUEST 1

#ifdef __MOD_DEVICES__
#define DISTRHO_PLUGIN_USES_MODGUI  1
#endif

enum Parameters {
    kParameterTabletX = 0,
    kParameterTabletY,
    kParameterTabletZ,
    kParameterTabletPressure,
    kParameterTime,
    kParameterCount
};

#endif // DISTRHO_PLUGIN_INFO_H_INCLUDED
